DUMPE2FS(8)

NAZWA
dumpe2fs - zrzuca dane o systemie plików ext2/ext3/ext4

SKŁADNIA
dumpe2fs [ -bfghixV ] [ -o superblock=superblok ] [ -o blocksize=rozmiar-bloku ] urządzenie

OPIS
dumpe2fs wypisuje superblok i informacje grupy bloków systemu plików znajdującego się na urządzeniu urządzenie.

Urządzenie może zostać podane według nazwy pliku (np. /dev/sda1) albo LABEL (etykiety) lub UUID: „LABEL=etykieta-woluminu” lub „UUID=uuid” (np. LABEL=home or UUID=e40486c6-84d5-4f2f-b99c-032281799c9d).

Uwaga: Gdy program jest używany na zamontowanym systemie plików, to wypisane informacje mogą być nieaktualne lub niespójne.

OPCJE

-b  Wypisuje bloki, które są zaznaczone jako uszkodzone.

-o superblock=superblok
    Używa bloku superblok podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem eksperta systemu plików, który bada resztki po mocno zniszczonym systemie plików.

-o bloksize= rozmiar-bloku
    Używa bloków o rozmiarze blocksize bajtów podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem eksperta systemu plików, który bada resztki po mocno zniszczonym systemie plików.

-f  Zmusza dumpe2fs aby wyświetlał system plików nawet wtedy, gdy może on mieć ustawione flagi, których dumpe2fs nie rozumie (i które mogą powodować to, że dumpe2fs nie chce ich wyświetlać).

-g  Wyświetla informacje deskryptora grupy w odczytywalnym maszynowo formacie, gdzie separatorem jest dwukropek. Wyświetlanymi polami są: numer grupy; numer pierwszego bloku w grupie; położenie superbloku (lub -1 jeśli jest on nieobecny); przedział bloków używany przez deskryptor grupy (lub -1 jeśli jest on nieobecny); położenie mapy bitowej bloku; położenie mapy bitowej i-węzła oraz przedział bloków użyty przez tabelę i-węzłów.

-h  Wyświetla tylko informacje na temat superbloku bez szczegółów o deskryptorach grup bloków.

-i  Wyświetla dane systemu plików z obrazu znajdującego się w pliku, utworzonego przez e2image, używając urządzenie jako ścieżkę do pliku z obrazem.

-m  Jeśli w systemie plików włączono funkcję mmp, sprawdza czy urządzenie jest używane przez inny węzeł; więcej szczegółów w podręczniku e2mmpstatus(8). Przy łączeniu z opcją -i wypisywane są jedynie informacje o bloku MMP.

-x  Wyświetla szczegółowe informacje na temat grupy bloków w formie szesnastkowej.

-V  Wypisuje numer wersji dumpe2fs i kończy działanie.

KOD ZAKOŃCZENIA
dumpe2fs kończy działanie z kodem zakończenia 0 jeśli operacja powiodła się bez błędów. Niezerowy kod zakończenia wskazuje na wystąpienie błędów, takich jak problemy z odczytaniem prawidłowego superbloku, błędna suma kontrolna lub, jeśli podano opcję -m, gdy urządzenie jest używane przez inny węzeł.

USTERKI
Może być konieczna znajomość fizycznej struktury systemu plików, aby zrozumieć wyjście.

AUTOR
dumpe2fs został napisany przez Remy'ego Carda <Remy.Card@linux.org>. Obecnie opiekuje się nim Theodore Ts'o <tytso@alum.mit.edu>.

DOSTĘPNOŚĆ
dumpe2fs jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
e2fsck(8), e2mmpstatus(8), mke2fs(8), tune2fs(8). ext4(5)

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.